EDIT - feature request #9262

Several open issues for cdmlight export related to Cactaceae and other Caryophallales
10/22/2020 12:45 PM - Andreas Miiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 40%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

Mail WGB 2020-10-22:

Das betrifft auch den Portal output. => Portal muss noch umgestellt werden auf TypeDesignationSetManager

3. Ausgabe -title cache generation not implemented-. Das kommt, soweit ich sehe, nur bei specimens vor, und zwar bei allen,
aber nicht bei Typen. Specimens gibt es nur in bestimmten Gattungen, z.b. in Lepismium, Rhipsalis, Epiphyllum, Disocactus.
WGB: Ich habe das im Output ohne Specimen als factual data nicht gesehen, ist also fiir den jetzt anstehenden Artikel noch
nicht relevant. Das kann aber an anderer Stelle (Amaranthaceae, Vanessas Atrtikel, hoffentlich auch noch dieses Jahr!) relevant
werden.

Andreas fragte, wo denn diese Specimen stehen —ich nehme an, dass das in den von Nadja genannten Gattungen specimen
als factual data am Taxon sind (?). moved to new ticket #9309.
https://dev.e-taxonomy.eu/redmine/issues/9309

7. Excluded und Uplaced in Sort Order [Mail vom 20.10.]
beim Fullen des Felds SortOrder in der Taxon.csv werden die als excluded oder als unplaced markierten Datenséatze korrekt
ans Ende gesetzt, aber leider werden die beiden Kategorien gemischt. Das bringt meinen Output dieser Gruppen durcheinander
— kdénnen wir bitte zuerst die unplaced und dann die excluded am Ende einordnen?
mail KL:
Ich habe mir jetzt nur die unplaced und excluded Taxa, die direkt unter Cactaceae hangen angeschaut, aber da ist der
Sortindex korrekt. Gibt es dazu ein Beispiel, wo die Sortierung gemischt ist?
WGB: merkwirdig, die kamen bei mir durcheinander raus — aber erst am Ende. Ich kiimmere mich darum.

=> not an issue anymore if 10. will implemented

9. Chronologische Anordnung der Synonyme in homotypischen Gruppen
[wir onIen d|e Kakteen in W|IldenOW|a publ|2|eren das ist also elllg]

wurde durch sortlndex gelost

10. Homotyplsche Gruppen: Identltatszelchen vor jedem Synonym
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/0c17975e-14d9-432b-846a-9f290c1a88fe/synonymy

= Turbinicarpus pseudomacrochele var. lausserf Diers & Gerhart Frank in Kalteen And. Sukk 42(3): 108. 1991.
Kadenicarpus preudomacrochele var. lausseri (Diers & Gerhart Frank) Doweld in Suldulenty 1(1): 22. 1998 nom. inval.
Pediocactus pseudonacrocheles var. lousseri (Diers & Gerhart Frank) Halda im Acta Mus. Fichnov., Sect. Mat. 5: 22 1998,
nom. inval. Turbinicarpus pseudomacrochele T. lausseri (Diers & Gerhart Frank) Panar. in Piante Grasse 18: 120. 1585
nom. inval Eadenicarpus pseudomacrochele subsp. lausserf (Diers & Gerhart Frank) Doweld in Subdmlenty 3: 37. 2000,
nom. inval. Turbinicarpus krainzionus £ lausseri (Diers & Gerhart Frank) D Donati, Revis. Tasson. Gen. Turbinicarpus:
21.2003. nom. mnval.

=> Verwendung des fullTitleCache
Problem mit den Notes sollte wahrscheinlich eher bei der Word Generierung geldst werden, da kénnte man ja ein ,,..;* durch ein
»/n“ oder dhnliches ersetzt werden.

16. Boubtiul-synenyms-sheuld-be-displayed-with—2"

(issues 3 and 4 removed as 3 is related to titteCache generation for DNA-Samples and 4 is solved already)

Related issues:
Related to EDIT - feature request #7700: use TypeDesignationSetManager for cr... Closed
Related to EDIT - feature request #9309: Improve handling of specimen without... New

Associated revisions

Revision 30190957 - 10/22/2020 06:42 PM - Andreas Miiller
ref #9262 fix fide and designated by handling for cdmlight export and TypeDesignationSetManager

Revision 9eab4a32 - 10/22/2020 07:14 PM - Andreas Miiller
ref #9262 fix et. al position in cdmlight

Revision 0ad005e1 - 10/23/2020 11:55 AM - Andreas Muller
ref #9262 move designated by out of brackets

Revision 38cdb834 - 10/23/2020 03:25 PM - Andreas Miuller

ref #9262 move lectotype citation for name types in stringify(NameTypeDesignation) method

Revision 742c4c12 - 10/23/2020 05:38 PM - Andreas Miiller
ref #9262 add test for lecto-nametype with designated by and fide

Revision bdb70df7 - 10/23/2020 05:43 PM - Andreas Miiller
ref #9262 javadoc link to ticket

Revision 085f44ab - 10/23/2020 08:48 PM - Andreas Miiller
ref #9262 unify buildString methods in TypeDesignationSetManager and unify some minor formatting issues

Revision ef013705 - 10/23/2020 10:49 PM - Andreas Miiller
ref #9262 fix failing test by adding lectotype to name type status in test terms

Revision f9f1f4a3 - 10/23/2020 10:55 PM - Andreas Miiller
ref #9262 further cleanup citation handling in TypeDesignationSetManager

Revision 36cf20b - 10/23/2020 11:00 PM - Andreas Muiller
ref #9262 further cleanup citation handling in TypeDesignationSetManager (cont.)

Revision d5603cc5 - 10/29/2020 11:13 PM - Katja Luther
ref #9262: add homotypic group strings

Revision f5eab879 - 10/30/2020 10:47 AM - Katja Luther

ref #9262: fix homotypical group name comparator

Revision 5a8468de - 11/04/2020 03:15 PM - Katja Luther

ref #9262: smaller changes

Revision 6043d78e - 11/04/2020 04:20 PM - Andreas Kohlbecker

ref #9262 adapting dataportal to lowercase typedesignation status

Revision 9270c708 - 11/11/2020 03:36 PM - Katja Luther
ref #9262: add homotypic group sortindex

Revision 44bef338 - 11/18/2020 03:51 PM - Katja Luther
ref #9262: add possibility to export condensed distribution string

Revision ¢842935a - 11/18/2020 03:58 PM - Katja Luther

ref #9262: add possibility to export condensed distribution string - new preference predicate

Revision 5d62d265 - 11/18/2020 04:50 PM - Katja Luther
ref #9262: minor

Revision cb6764ac - 11/19/2020 01:32 PM - Katja Luther

ref #9262: adapt cdmlight preference handling to renamed predicate

History

#1 - 10/22/2020 12:56 PM - Andreas Miller
- File picture597-1.png added

- Description updated

#2 - 10/22/2020 06:35 PM - Andreas Miuller

- Related to feature request #7700: use TypeDesignationSetManager for creating typedesignation string in cdmlightExport added

#3 - 10/22/2020 06:49 PM - Andreas Miuller

- Description updated

#4 - 10/22/2020 07:15 PM - Andreas Miiller

- Description updated

#5 - 10/23/2020 10:56 AM - Andreas Miiller

- Description updated

#6 - 10/23/2020 10:57 AM - Andreas Miiller

04/25/2024

4/6



- Description updated

#7 - 10/23/2020 11:58 AM - Andreas Miiller
- Description updated

#8 - 10/23/2020 12:22 PM - Andreas Miiller
- Description updated
- % Done changed from 0 to 10

#9 - 10/23/2020 12:24 PM - Andreas Miller

- Description updated

#10 - 10/26/2020 12:40 PM - Katja Luther

- Description updated

#11 - 10/27/2020 10:05 AM - Andreas Miuiller

- Description updated

#12 - 10/27/2020 10:12 AM - Andreas Miiller

- Description updated

#13 - 10/27/2020 11:16 AM - Katja Luther

- Description updated

#14 - 10/28/2020 12:16 PM - Katja Luther

- Description updated

#15 - 11/02/2020 01:30 PM - Katja Luther

- Description updated

#16 - 11/02/2020 01:53 PM - Katja Luther

- Description updated

#17 - 11/02/2020 02:55 PM - Andreas Miiller
- Description updated

- % Done changed from 10 to 40

#18 - 11/13/2020 09:05 AM - Katja Luther

- Description updated

#19 - 11/13/2020 09:06 AM - Katja Luther

- Status changed from New to In Progress

#20 - 11/13/2020 09:15 AM - Katja Luther

- Description updated

#21 - 11/13/2020 09:19 AM - Katja Luther

- Description updated

#22 - 11/13/2020 09:27 AM - Andreas Miiller

- Description updated

#23 - 11/17/2020 10:19 AM - Katja Luther

- Description updated

#24 - 11/19/2020 01:53 PM - Katja Luther
- Description updated

#25 - 11/19/2020 01:56 PM - Katja Luther

- Related to feature request #9309: Improve handling of specimen without titlecache in cdmLight added

#26 - 11/19/2020 01:56 PM - Katja Luther
- Description updated

- Status changed from In Progress to Resolved

#27 - 11/19/2020 01:58 PM - Katja Luther

all issues are implemented except the specimen without titteCache, therefore a new ticket exist (#9309)

#28 - 11/25/2020 10:48 PM - Andreas Miiller

so can we close the ticket?

#29 - 11/30/2020 12:06 PM - Katja Luther

- Status changed from Resolved to Closed

Andreas Muller wrote:

so can we close the ticket?

yes.
